Index: frontend/package-lock.json
===================================================================
--- frontend/package-lock.json	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/package-lock.json	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -13,5 +13,4 @@
         "@testing-library/user-event": "^13.5.0",
         "axios": "^1.5.0",
-        "axios-extensions": "^3.1.6",
         "bootstrap": "^5.3.0",
         "file-loader": "^6.2.0",
@@ -5350,25 +5349,4 @@
       }
     },
-    "node_modules/axios-extensions": {
-      "version": "3.1.6",
-      "resolved": "https://registry.npmjs.org/axios-extensions/-/axios-extensions-3.1.6.tgz",
-      "integrity": "sha512-CmwMYxxAw4DcQDJ7/2Iv4GJj1Ao48lJEPieycgZQH6m1KcYZqf9zm2HM/CsULqheCpYxZbiGrCfZf5tVjXqoLg==",
-      "dependencies": {
-        "lru-cache": "^7.14.0",
-        "tslib": "^2.1.0",
-        "util": "^0.12.3"
-      },
-      "peerDependencies": {
-        "axios": "*"
-      }
-    },
-    "node_modules/axios-extensions/node_modules/lru-cache": {
-      "version": "7.18.3",
-      "resolved": "https://registry.npmjs.org/lru-cache/-/lru-cache-7.18.3.tgz",
-      "integrity": "sha512-jumlc0BIUrS3qJGgIkWZsyfAM7NCWiBcCDhnd+3NNM5KbBmLTgHVfWBcg6W+rLUsIpzpERPsvwUP7CckAQSOoA==",
-      "engines": {
-        "node": ">=12"
-      }
-    },
     "node_modules/axios/node_modules/form-data": {
       "version": "4.0.0",
@@ -9447,4 +9425,5 @@
       "resolved": "https://registry.npmjs.org/is-arguments/-/is-arguments-1.1.1.tgz",
       "integrity": "sha512-8Q7EARjzEnKpt/PCD7e1cgUS0a6X8u5tdSiMqXhojOdoV9TsMsiO+9VLC5vAmO8N7/GmXn7yjR8qnA6bVAEzfA==",
+      "peer": true,
       "dependencies": {
         "call-bind": "^1.0.2",
@@ -9585,18 +9564,4 @@
       "engines": {
         "node": ">=6"
-      }
-    },
-    "node_modules/is-generator-function": {
-      "version": "1.0.10",
-      "resolved": "https://registry.npmjs.org/is-generator-function/-/is-generator-function-1.0.10.tgz",
-      "integrity": "sha512-jsEjy9l3yiXEQ+PsXdmBwEPcOxaXWLspKdplFUVI9vq1iZgIekeC0L167qeu86czQaxed3q/Uzuw0swL0irL8A==",
-      "dependencies": {
-        "has-tostringtag": "^1.0.0"
-      },
-      "engines": {
-        "node": ">= 0.4"
-      },
-      "funding": {
-        "url": "https://github.com/sponsors/ljharb"
       }
     },
@@ -16835,16 +16800,4 @@
       }
     },
-    "node_modules/util": {
-      "version": "0.12.5",
-      "resolved": "https://registry.npmjs.org/util/-/util-0.12.5.tgz",
-      "integrity": "sha512-kZf/K6hEIrWHI6XqOFUiiMa+79wE/D8Q+NCNAWclkyg3b4d2k7s0QGepNjiABc+aR3N1PAyHL7p6UcLY6LmrnA==",
-      "dependencies": {
-        "inherits": "^2.0.3",
-        "is-arguments": "^1.0.4",
-        "is-generator-function": "^1.0.7",
-        "is-typed-array": "^1.1.3",
-        "which-typed-array": "^1.1.2"
-      }
-    },
     "node_modules/util-deprecate": {
       "version": "1.0.2",
Index: frontend/package.json
===================================================================
--- frontend/package.json	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/package.json	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -8,5 +8,4 @@
     "@testing-library/user-event": "^13.5.0",
     "axios": "^1.5.0",
-    "axios-extensions": "^3.1.6",
     "bootstrap": "^5.3.0",
     "file-loader": "^6.2.0",
Index: frontend/src/App.js
===================================================================
--- frontend/src/App.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/App.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -5,5 +5,5 @@
 import 'bootstrap/dist/js/bootstrap.js';
 import HomeCarousel from './Components/Layout/CarouselHome/Carousel';
-import {Card, Container} from 'react-bootstrap';
+import { Card, Container } from 'react-bootstrap';
 import TabComponent from './Components/Tab/Tab';
 import Offers from './Components/Layout/Offers/Offers';
@@ -27,14 +27,11 @@
 import TransportEditPage from './Pages/TransportEditPage';
 import RestaurantDetailsPage from './Pages/RestaurantDetailsPage';
-import {BrowserRouter, Route, Routes} from 'react-router-dom';
+import { BrowserRouter, Route, Routes } from 'react-router-dom';
 import LoginErrorPage from "./Pages/LoginErrorPage";
-import {AuthProvider} from "./Components/Context/AuthContext";
-import PrivateRoute from "./Components/Misc/PrivateRoute";
-import ProfilesManagementPage from "./Pages/ProfilesManagementPage";
-import UserReservationsManagement from "./Pages/UserReservationsManagement";
 
 
 function App() {
 
+<<<<<<< HEAD
     return (
         <div className="App" style={{overflow: 'hidden'}}>
@@ -76,4 +73,31 @@
         </div>
     );
+=======
+  return (
+    <div className="App" style={{overflow: 'hidden'}}>
+      <BrowserRouter>
+        <Routes>
+          <Route path='/login' element={<LoginPage/>}/>
+          <Route path='/register' element={<RegistrationPage/>}/>
+          <Route path='/profile' element={<ProfilePage/>}/>
+          <Route path="/resources" exact element={<NoBusinessRegisteredError hasRegistration="false"/>} />
+          <Route path="/resources/hotel" element={<ResourcesPage tab="/hotel"/>}/>
+          <Route path="/resources/hotel/:hotelId" element={<HotelEditPage />}/>
+          <Route path="/resources/restaurant" element={<ResourcesPage tab="/restaurant"/>}/>
+          <Route path='/resources/restaurant/:restaurantId' element={<RestaurantEditPage />}/>
+          <Route path="/resources/transport" element={<ResourcesPage tab="/transport"/>}/>
+          <Route path="/resources/transport/:transportId" element={<TransportEditPage/>}/>
+          <Route path="/home" element={<HomePage/> }/>
+          <Route path="/error" element={<LoginErrorPage/> }/>
+          <Route path='/details/transport' element={<TransportDetailsPage></TransportDetailsPage>}/>
+          <Route path='/details/hotel' element={<HotelDetailsPage></HotelDetailsPage>}/>
+          <Route path='/details/restaurant' element={<RestaurantDetailsPage></RestaurantDetailsPage>}/>
+          <Route path="/search/hotel/:hotelLocation/:dateFrom/:dateTo/:numBeds" element={<SearchPage type="hotel"/> }/>
+          <Route path="/search/transport/:from/:to/:date" element={<SearchPage type="transport"/> }/>
+        </Routes>
+      </BrowserRouter>
+    </div>
+  );
+>>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
 }
 
Index: frontend/src/Components/Forms/AddHotelForm.js
===================================================================
--- frontend/src/Components/Forms/AddHotelForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/AddHotelForm.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -119,6 +119,4 @@
                   return prevState + 1;
                 })
-                if(!edit)
-                  props.closeModal()
               }}
             >
Index: frontend/src/Components/Forms/AddRestaurantForm.js
===================================================================
--- frontend/src/Components/Forms/AddRestaurantForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/AddRestaurantForm.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -85,5 +85,4 @@
                   return prevState + 1;
                 })
-                props.closeModal()
               }}
             >
Index: frontend/src/Components/Forms/AddRoomForm.js
===================================================================
--- frontend/src/Components/Forms/AddRoomForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/AddRoomForm.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -13,5 +13,5 @@
     hotelRoomDescription: "",
     hotelRoomName: "",
-    numOfBeds: "",
+    numBeds: "",
     price: "",
     kitchenAvailable: false,
@@ -58,6 +58,6 @@
             type="number" 
             placeholder="Внесете го бројот на кревети" 
-            value={formData.numOfBeds}
-            name="numOfBeds"
+            value={formData.numBeds}
+            name="numBeds"
             onChange={onFormChange}
             />
@@ -117,11 +117,7 @@
               style={{ backgroundColor: "#159895" }}
               size="md"
-              onClick={(e) => {
-                e.preventDefault();
-                props.refresh((prev) => {
-                  return ++prev;
-                })
+              onClick={() => {
+                console.log(formData);
                 createHotelRoom(formData);
-                props.closeModal();
               }}
             >
Index: frontend/src/Components/Forms/AddTransportForm.js
===================================================================
--- frontend/src/Components/Forms/AddTransportForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/AddTransportForm.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -11,5 +11,5 @@
       transportName: "",
       carBrand: "",
-      carType: "",
+      carType: false,
       carManufacturedYear: 1900,
       noPassengers: 0,
@@ -107,8 +107,6 @@
                 createTransport(formData, edit);
                 props.refresh((prev) => {
-                  return ++prev;
+                  return prev + 1;
                 })
-                if(!edit)
-                    props.closeModal()
               }}
             >
Index: frontend/src/Components/Forms/EditRoomForm.js
===================================================================
--- frontend/src/Components/Forms/EditRoomForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/EditRoomForm.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -28,6 +28,4 @@
     } = useGet(`/hotel/rooms/${props.room.hotelRoomId}/available`)
 
-    console.log(`/hotel/rooms/${props.room.hotelRoomId}/available`)
-
     !isLoading && console.log(data)
 
@@ -44,7 +42,13 @@
                             <tr>
                                 <th>#</th>
+<<<<<<< HEAD
                                 <th>Oд</th>
                                 <th>До</th>
                                 <th>Цена</th>
+=======
+                                <th>Достапно од</th>
+                                <th>Достапно до</th>
+                                <th>Број на соби</th>
+>>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
                             </tr>
                             </thead>
Index: frontend/src/Components/Hooks/Hotel/useCreateHotel.js
===================================================================
--- frontend/src/Components/Hooks/Hotel/useCreateHotel.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Hooks/Hotel/useCreateHotel.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -6,8 +6,8 @@
 const useCreateHotel = () => {
 
+    //const history = useNavigate();
     const createHotel = async (hotel, edit) => {
 		console.log({hotel})
 		console.log(hotel)
-		console.log("vo createhotel")
 
 		if(!edit)
@@ -16,5 +16,5 @@
 			.post(`/hotel/add`, hotel, {
 				params: {
-					userId: JSON.parse(localStorage.getItem("user")).userId
+					userId: localStorage.getItem("userId")
 				}
 			}) 
Index: frontend/src/Components/Hooks/Restaurant/useCreateRestaurant.js
===================================================================
--- frontend/src/Components/Hooks/Restaurant/useCreateRestaurant.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Hooks/Restaurant/useCreateRestaurant.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -15,5 +15,5 @@
 			.post(`/restaurant/add`, restaurant, {
 				params: {
-					userId: JSON.parse(localStorage.getItem('user')).userId,
+					userId: localStorage.getItem('userId')
 				}
 			}) 
Index: frontend/src/Components/Hooks/Transport/useCreateTransport.js
===================================================================
--- frontend/src/Components/Hooks/Transport/useCreateTransport.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Hooks/Transport/useCreateTransport.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -4,10 +4,10 @@
 
 const useCreateTransport = () => {
-	const userId = JSON.parse(localStorage.getItem('user')).userId
+
     const createTransport = async (transport, edit) => {
 			if(!edit)
 			{
 				await axios
-	            .post(`/transport/add/` + userId, transport)
+	            .post(`/transport/add`, transport) 
 	            .then((res) => {
 	                //history.push('/transport');
Index: frontend/src/Components/Hooks/User/useLogin.js
===================================================================
--- frontend/src/Components/Hooks/User/useLogin.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Hooks/User/useLogin.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -4,10 +4,8 @@
 import { Navigate, useAsyncValue, useNavigate } from "react-router-dom";
 import LoginForm from "../../Login/LoginForm.js";
-import {useAuth} from "../../Context/AuthContext";
 
 const useLogin = () => {
 
     const navigator = useNavigate()
-	const Auth = useAuth();
     //const history = useNavigate();
     const login = async (loginData) => {
@@ -24,22 +22,7 @@
                 }) 
 	            .then((res) => {
-					console.log("RES LOGIN")
-					console.log(res)
-					if(res.status === 200)
-					{
-						const user = {
-							sessionId: res.data.auth.details.sessionId,
-							userId: res.data.auth.principal.userID,
-							username: res.data.auth.principal.username,
-							role: res.data.auth.principal.role,
-							name: res.data.auth.principal.name,
-							surname: res.data.auth.principal.surname,
-						}
-						Auth.userLogin(user);
-						console.log(user)
-					}
 					const sessionId = res.data.auth.details.sessionId;
 					const userId = res.data.auth.principal.userID;
-
+					
 					localStorage.setItem("sessionId", sessionId);
 					localStorage.setItem("userId", userId);
Index: frontend/src/Components/Hooks/useGet.js
===================================================================
--- frontend/src/Components/Hooks/useGet.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Hooks/useGet.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -11,4 +11,5 @@
         console.log(localStorage.getItem("sessionId"))
         console.log("url od get " + uurl)
+<<<<<<< HEAD
         await axios.get(uurl, {maxRedirects: 0}).then((res) => {
             console.log(res);
@@ -22,4 +23,12 @@
             // window.location.href = '/error'
         })
+=======
+        await axios.
+            get(uurl).then((res) => {
+                setData(res.data);
+            }).catch((err) => {
+                console.log(err)
+            })
+>>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
             .finally(() => {
                 setIsLoading(false);
@@ -31,5 +40,5 @@
         getData(url);
     }, [dep, url, changed]);
-
+    
     return {
         data,
Index: frontend/src/Components/HotelEdit/HotelEditTab.js
===================================================================
--- frontend/src/Components/HotelEdit/HotelEditTab.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/HotelEdit/HotelEditTab.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -1,119 +1,99 @@
 import React from "react";
-import {Container, Col, Row, Image, Nav, Tab} from "react-bootstrap";
-import {useState} from "react";
-import {FaTaxi, FaHotel} from "react-icons/fa";
-import {MdOutlineStickyNote2} from "react-icons/md";
+import { Container, Col, Row, Image, Nav, Tab } from "react-bootstrap";
+import { useState } from "react";
+import { FaTaxi, FaHotel } from "react-icons/fa";
+import { MdOutlineStickyNote2 } from "react-icons/md";
 import AddNew from "../Resources/AddNew";
-import {BiData} from "react-icons/bi"
+import { BiData } from "react-icons/bi"
 import RoomListing from "./RoomListing";
 import HotelEditForm from "./HotelEditForm";
 import AddHotelForm from "../Forms/AddHotelForm";
 import EditModal from "../Resources/EditModal";
-import AddAvailability from "../Resources/AddAvailability";
-import useGet from "../Hooks/useGet";
-import ReservationListing from "./ReservationListing";
 
 function HotelEditTab(props) {
-    const [activeTab, setActiveTab] = useState("/hotel");
-    const [modalData, setModalData] = useState("");
-    const [show, setShow] = useState(false);
+  const [activeTab, setActiveTab] = useState("/hotel");
+  const [modalData, setModalData] = useState("");
+  const [show, setShow] = useState(false);
 
-    console.log(props)
+  const handleClose = () => setShow(false);
+  const handleShow = () => {
+    //e.preventDefault();
+    setShow(true);
 
-    const {
-        data,
-        isLoading,
-        setData,
-        getData,
-        setChanged
-    } = useGet(`/hotel/${props.displayRoom.hotelId}/reservations/active`)
+  };
 
-    !isLoading && console.log(data)
+  const showModal = (modalData) => {
+    setModalData(modalData);
+    handleShow();
+  }
+  console.log(props.displayRoom)
 
-    const handleClose = () => setShow(false);
-    const handleShow = () => {
-        //e.preventDefault();
-        setShow(true);
+  const handleSelect = (eventKey) => {
+    setActiveTab(eventKey);
+  };
 
-    };
-
-    const showModal = (modalData) => {
-        setModalData(modalData);
-        handleShow();
-    }
-    console.log(props.displayRoom)
-
-    const handleSelect = (eventKey) => {
-        setActiveTab(eventKey);
-    };
-
-    return (
-        <Container className="rounded-5">
-            <Tab.Container
-                activeKey={activeTab}
-                onSelect={handleSelect}
-                className="bg-dark rounded-5"
-            >
-                <Nav
-                    fill
-                    variant="tabs"
-                    className="bg-body rounded-top-5"
-                    activeKey="/hotel"
-                    id="tab_item"
-                >
-                    <Nav.Item className="tab_item rounded-5">
-                        <Nav.Link eventKey="/hotel" className="text-left rounded-5">
+  return (
+    <Container className="rounded-5">
+      <Tab.Container
+        activeKey={activeTab}
+        onSelect={handleSelect}
+        className="bg-dark rounded-5"
+      >
+        <Nav
+          fill
+          variant="tabs"
+          className="bg-body rounded-top-5"
+          activeKey="/hotel"
+          id="tab_item"
+        >
+          <Nav.Item className="tab_item rounded-5">
+            <Nav.Link eventKey="/hotel" className="text-left rounded-5">
               <span className="ikona">
                 <FaHotel
-                    color="#159895"
-                    style={{lineHeight: "100em"}}
-                    size={"1.5em"}
-                    className="mx-3"
+                  color="#159895"
+                  style={{ lineHeight: "100em" }}
+                  size={"1.5em"}
+                  className="mx-3"
                 />
               </span>
-                            <span className="ikona">Соби</span>
-                        </Nav.Link>
-                    </Nav.Item>
-                    <Nav.Item className="tab_item">
-                        <Nav.Link eventKey="/restaurant">
+              <span className="ikona">Соби</span>
+            </Nav.Link>
+          </Nav.Item>
+          <Nav.Item className="tab_item">
+            <Nav.Link eventKey="/restaurant">
               <span className="ikona">
-                <MdOutlineStickyNote2 color="#159895" size={"1.5em"} className="mx-3"/>
+                <MdOutlineStickyNote2 color="#159895" size={"1.5em"} className="mx-3" />
               </span>
-                            <span className="ikona">Резервации</span>
-                        </Nav.Link>
-                    </Nav.Item>
-                    <Nav.Item className="tab_item rounded-5">
-                        <Nav.Link eventKey="/transport" className="text-left rounded-5">
+              <span className="ikona">Резервации</span>
+            </Nav.Link>
+          </Nav.Item>
+          <Nav.Item className="tab_item rounded-5">
+            <Nav.Link eventKey="/transport" className="text-left rounded-5">
               <span className="ikona">
-                <BiData color="#159895" size={"1.5em"} className="mx-3"/>
+                <BiData color="#159895" size={"1.5em"} className="mx-3" />
               </span>
-                            <span className="ikona">Општи податоци</span>
-                        </Nav.Link>
-                    </Nav.Item>
-                </Nav>
+              <span className="ikona">Општи податоци</span>
+            </Nav.Link>
+          </Nav.Item>
+        </Nav>
 
-                <Tab.Content className="py-5 px-3 border rounded-bottom-5 bg-light">
-                    <Tab.Pane eventKey="/hotel">
-                        {props.displayRoom.hotelRooms.map((room) => {
-                            return <RoomListing key={room.hotelRoomId} data={room} showModal={showModal}/>
-                        })}
-                        <EditModal show={show} handleClose={handleClose} type="room" room={modalData}></EditModal>
-                        <AddNew Id={props.displayRoom.hotelId} refresh={props.refresh} type="room"/>
-                    </Tab.Pane>
-                    <Tab.Pane eventKey="/restaurant">
-                        {!isLoading && data.map((res) => {
-                            return (
-                                <ReservationListing data={res}/>
-                            )
-                        })}
-                        {/*<AddNew type="restaurant"/>*/}
-                    </Tab.Pane>
-                    <Tab.Pane eventKey="/transport">
-                        <AddHotelForm refresh={props.refresh} hotel={props.displayRoom}/>
-                    </Tab.Pane>
-                </Tab.Content>
-            </Tab.Container>
-        </Container>
-    );
+        <Tab.Content className="py-5 px-3 border rounded-bottom-5 bg-light">
+          <Tab.Pane eventKey="/hotel">
+          {props.displayRoom.hotelRooms.map((room) => {
+              return <RoomListing key={room.hotelRoomId} data={room} showModal={showModal}/>
+            })}
+            <EditModal show={show} handleClose={handleClose} type="room" room={modalData}></EditModal>
+            <AddNew Id={props.displayRoom.hotelId} refresh={props.refresh} type="room"/>
+          </Tab.Pane>
+          <Tab.Pane eventKey="/restaurant">
+            <AddNew type="restaurant"/>
+          </Tab.Pane>
+          <Tab.Pane eventKey="/transport">
+            <AddHotelForm refresh={props.refresh} hotel={props.displayRoom}/>
+          </Tab.Pane>
+        </Tab.Content>
+      </Tab.Container>
+    </Container>
+  );
 }
 
Index: frontend/src/Components/Layout/Navbar/Navigation.js
===================================================================
--- frontend/src/Components/Layout/Navbar/Navigation.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Layout/Navbar/Navigation.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -7,6 +7,9 @@
 import useGet from "../../Hooks/useGet";
 import axios from "../../../axios.js";
+<<<<<<< HEAD
 import {useAuth} from "../../Context/AuthContext";
 import ImageUpload from "../../ImageUpload/ImageUpload";
+=======
+>>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
 //import logo from 'assets/images/logo.png';
 //src="https://upload.wikimedia.org/wikipedia/commons/0/08/Vergina_Sun_-_Golden_Larnax.png"
@@ -14,4 +17,5 @@
 function Navigation(props) {
   const navigator = useNavigate();
+<<<<<<< HEAD
   const Auth = useAuth();
   const isLoggedIn = Auth.userIsAuthenticated();
@@ -22,4 +26,9 @@
   const handleShow = () => setShow(true);
 
+=======
+
+  const { data, setData, isLoading, getData } = useGet("/username");
+  
+>>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
   return (
     <>
@@ -31,5 +40,5 @@
       >
         <Container>
-          <Navbar.Brand href="/home">
+          <Navbar.Brand href="#home">
             <span className="ikona">
               <Image
@@ -57,5 +66,5 @@
                 <Button onClick={handleShow}></Button>
               </Nav.Link>
-              {!isLoggedIn && (
+              {!isLoading && !data && (
                 <Button
                   className="m-2"
@@ -69,8 +78,8 @@
                 </Button>
               )}
-              {isLoggedIn && (
+              {!isLoading && data && (
                 <>
                   <Nav.Link className="m-2" href="/profile">
-                    {Auth.getUser().username}
+                    {data}
                   </Nav.Link>
                   <Button
@@ -81,6 +90,5 @@
                       await axios.get("/logout")
                       .then((res) => {
-                        console.log(res);
-                        Auth.userLogout();
+                        console.log(res)
                       })
                       .catch((err) => {
Index: frontend/src/Components/Resources/AddNew.js
===================================================================
--- frontend/src/Components/Resources/AddNew.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Resources/AddNew.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -56,8 +56,8 @@
         </Modal.Header>
         <Modal.Body>
-            {props.type === "hotel" && <AddHotelForm closeModal={handleClose} refresh={props.refresh}/>}
-            {props.type === "room" && <AddRoomForm closeModal={handleClose} refresh={props.refresh} hotelId={props.Id}/>}
-            {props.type === "restaurant" && <AddRestaurantForm edit="false" closeModal={handleClose} refresh={props.refresh}/>}
-            {props.type === "transport" && <AddTransportForm closeModal={handleClose} refresh={props.refresh}/>}
+            {props.type === "hotel" && <AddHotelForm refresh={props.refresh}/>}
+            {props.type === "room" && <AddRoomForm refresh={props.refresh} hotelId={props.Id}/>}
+            {props.type === "restaurant" && <AddRestaurantForm edit="false" refresh={props.refresh}/>}
+            {props.type === "transport" && <AddTransportForm refresh={props.refresh}/>}
             {props.type === "menu" && <AddItemMenuForm Id={props.Id} refresh={props.refresh}/>}
             {props.type === "route" && <AddTripForm transportId={props.transport.transportID} setSize={setSizeXl} refresh={props.refresh}/>}
Index: frontend/src/Components/Resources/EditModal.js
===================================================================
--- frontend/src/Components/Resources/EditModal.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Resources/EditModal.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -32,5 +32,5 @@
         </Modal.Header>
         <Modal.Body>
-            {props.type === "hotel" && <AddHotelForm refresh={props.refresh}/>}
+            {props.type === "hotel" && <AddHotelForm/>}
             {props.type === "room" && <EditRoomForm refresh={props.refresh} room={props.room}/>}
             {props.type === "restaurant" && <AddRestaurantForm edit="false" refresh={props.refresh}/>}
Index: frontend/src/Components/Resources/ResourceListing.js
===================================================================
--- frontend/src/Components/Resources/ResourceListing.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Resources/ResourceListing.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -8,7 +8,11 @@
 
 const ResourceListing = (props) => {
+  
+    console.log("props " + props.id)
+  
 
     const type = props.type == "hotel" ? "сместувањето" : props.type == "restaurant" ? "ресторанот" : "превозот";
     const name = props.type == "hotel" ? props.data.hotelName : props.type == "restaurant" ? props.data.restaurantName : props.data.transportName
+<<<<<<< HEAD
     const id = props.type == "hotel" ? props.data.hotelId : props.type == "restaurant" ? props.data.restaurantID : props.data.transportID
     console.log(props.data)
@@ -54,4 +58,44 @@
                     </Col>
                     <Col className="d-flex justify-content-center align-content-center">
+=======
+    const id = props.type == "hotel" ? props.data.hotelId : props.type == "restaurant" ? props.data.resturantId : props.data.transportID
+    return(<> 
+    <a href={`${props.type}/${id}`} style={{textDecoration: "none", color:"black"}}>
+        <Container className="py-3 px-1 my-4"
+        style={{
+          border: "4px solid #159895",
+          borderRadius: "1em",
+          boxShadow: "0 3px 5px #159895",
+          maxWidth: "90%",
+        }}>
+            <Row>
+                <Col className="d-flex justify-content-center">
+                    <Image
+                    src="https://www.imgacademy.com/sites/default/files/legacyhotel.jpg"
+                    style={{
+                        height: "8em",
+                        borderRadius: "1em",
+                        boxShadow: "0 4px 20px lightblue",
+                        maxWidth: "100%",
+                    }}
+                    ></Image>
+                </Col>
+                <Col >
+                    <h2 style={{textAlign: "left"}}>{name}</h2>
+                    {props.type === "hotel" && (<>
+                      <h5 style={{textAlign: "left"}}>{props.data.hotelLocation}</h5>
+                      <h5 style={{textAlign: "left"}}>{props.data.hotelEmail}</h5>
+                    </>)}
+                    {props.type === "restaurant" && (<>
+                      <h5 style={{textAlign: "left"}}>{props.data.restaurantLocation}</h5>
+                      <h5 style={{textAlign: "left"}}>{props.data.cousineType} кујна</h5>
+                    </>)}
+                    {props.type === "transport" && (<>
+                      <h5 style={{textAlign: "left"}}>{props.data.carBrand}</h5>
+                      <h5 style={{textAlign: "left"}}>{props.data.carPlate}</h5>
+                    </>)}
+                </Col>
+                <Col className="d-flex justify-content-center align-content-center" >
+>>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
                   <span
                       style={{
Index: frontend/src/Components/Resources/ResourcesTab.js
===================================================================
--- frontend/src/Components/Resources/ResourcesTab.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Resources/ResourcesTab.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -10,4 +10,5 @@
 
 function ResourcesTab(props) {
+<<<<<<< HEAD
     const [activeTab, setActiveTab] = useState(props.tab);
     const userId = JSON.parse(localStorage.getItem("user")).userId;
@@ -35,4 +36,37 @@
                     <Nav.Item className="tab_item rounded-5">
                         <Nav.Link href="/resources/hotel" className="text-left rounded-5">
+=======
+  const [activeTab, setActiveTab] = useState(props.tab);
+  // const [changed, setChanged] = useState(0);
+  const userId = localStorage.getItem("userId");
+  const { data, setData, isLoading, getData, setChanged } = useGet(`${props.tab}/user/${userId}`);
+
+  const handleSelect = (eventKey) => {
+    setActiveTab(eventKey);
+    console.log(props.refresh);
+    props.refresh(eventKey);
+    console.log("refresh" + eventKey);
+  };
+
+  !isLoading && console.log(data);
+  console.log(props.tab);
+
+  return (
+    <Container className="rounded-5">
+      <Tab.Container
+        activeKey={activeTab}
+        onSelect={handleSelect}
+        className="bg-dark rounded-5"
+      >
+        <Nav
+          fill
+          variant="tabs"
+          className="bg-body rounded-top-5"
+          activeKey="/hotel"
+          id="tab_item"
+        >
+          <Nav.Item className="tab_item rounded-5">
+            <Nav.Link href="/resources/hotel" className="text-left rounded-5">
+>>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
               <span className="ikona">
                 <FaHotel
@@ -67,4 +101,5 @@
                 </Nav>
 
+<<<<<<< HEAD
                 <Tab.Content className="py-5 px-3 border rounded-bottom-5 bg-light">
                     <Tab.Pane eventKey="/hotel" key="hotelPane">
@@ -115,4 +150,57 @@
         </Container>
     );
+=======
+        <Tab.Content className="py-5 px-3 border rounded-bottom-5 bg-light">
+          <Tab.Pane eventKey="/hotel" key="hotelPane">
+            {props.tab == "/hotel" && !isLoading && data != null &&
+              data.map((hotel) => {
+                return (
+                  <Link key={hotel.hotelId} to={"/resources/hotel/" + hotel.hotelId}>
+                    <ResourceListing
+                      key={hotel.hotelId}
+                      id={hotel.hotelId}
+                      type="hotel"
+                      data={hotel}
+                    />
+                  </Link>
+                );
+              })}
+            <AddNew type="hotel" refresh={setChanged} />
+          </Tab.Pane>
+          <Tab.Pane eventKey="/restaurant" key="restaurantPane">
+            {props.tab == "/restaurant" && !isLoading && data != null &&
+              data.map((restaurant) => {
+                console.log("mapiranje " + restaurant)
+                return (
+                  <Link key={restaurant.restaurantId} to={"/resources/restaurant/" + restaurant.restaurantID}>
+                    <ResourceListing
+                      key={restaurant.restaurantId}
+                      type="restaurant"
+                      data={restaurant}
+                    />
+                  </Link>
+                );
+              })}
+            <AddNew type="restaurant" refresh={setChanged}/>
+          </Tab.Pane>
+          <Tab.Pane eventKey="/transport" key="transportPane">
+            {props.tab == "/transport" && !isLoading && data.length > 0 &&
+              data.map((transport) => {
+                return (
+                  <ResourceListing
+                    key={transport.transportId}
+                    id={transport.transportId}
+                    type="transport"
+                    data={transport}
+                  />
+                );
+              })}
+            <AddNew type="transport" refresh={setChanged}/>
+          </Tab.Pane>
+        </Tab.Content>
+      </Tab.Container>
+    </Container>
+  );
+>>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
 }
 
Index: frontend/src/Components/RestaurantEdit/RestaurantEditTab.js
===================================================================
--- frontend/src/Components/RestaurantEdit/RestaurantEditTab.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/RestaurantEdit/RestaurantEditTab.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -100,5 +100,5 @@
               return <MenuListing key={menu.menuId} data={menu} showModal={showModal}/>
             })}
-            {activeTab === '/hotel' && <EditModal show={show} refresh={props.refresh} handleClose={handleClose} type="menu" menu={modalData}></EditModal>}
+            {activeTab === '/hotel' && <EditModal show={show} handleClose={handleClose} type="menu" menu={modalData}></EditModal>}
             <AddNew Id={props.displayMenu.restaurantID} refresh={props.refresh} type="menu"/>
           </Tab.Pane>
Index: frontend/src/Components/SearchCriterias/SearchCriteriasBar.js
===================================================================
--- frontend/src/Components/SearchCriterias/SearchCriteriasBar.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/SearchCriterias/SearchCriteriasBar.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -2,12 +2,18 @@
 import { Container, Form, Button, Row, Col } from "react-bootstrap";
 import useFormData from "../Hooks/useFormData";
+<<<<<<< HEAD
 import SearchCriteriasHotel from "./SearchCriteriasHotel";
 import SearchCriteriasTransport from "./SearchCriteriasTransport";
 import SearchCriteriasRestaurant from "./SearchCriteriasRestaurant";
+=======
+>>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
 
-const SearchCriteriasBar = (props) => {
+const SearchCriterias = (props) => {
 
-    const { criterias, type } = props
+  const { formData, onFormChange, onCheckBoxChange, setFormData} = useFormData(props.criterias)
+  console.log("KRITERIUMI")
+  console.log(formData)
 
+<<<<<<< HEAD
     return (
         <>
@@ -18,4 +24,92 @@
     )
 }
+=======
+  return (
+    <>
+      <Container
+        className="p-1 pb-0 mb-5 mt-3 rounded-2"
+        style={{ backgroundColor: "#002B5B", width: "65%"}}
+      >
+        <Form className="rounded-5">
+          <Row className="gx-1">
+            <Col>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="text"
+                  placeholder="Каде ќе патувате?:"
+                  id="location"
+                  name="hotelLocation"
+                  onChange={onFormChange}
+                  value={formData.hotelLocation}
+                ></Form.Control>
+                <label htmlFor="location">Локација:</label>
+              </Form.Floating>
+            </Col>
+            <Col>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="date"
+                  placeholder="Датум на пристигнување:"
+                  id="dateFrom"
+                  name="dateFrom"
+                  onChange={onFormChange}
+                  value={formData.dateFrom}
+                ></Form.Control>
+                <label htmlFor="dateFrom">Датум на пристигнување:</label>
+              </Form.Floating>
+            </Col>
+            <Col>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="date"
+                  placeholder="Датум на заминување:"
+                  id="dateTo"
+                  name="dateTo"
+                  onChange={onFormChange}
+                  value={formData.dateTo}
+                ></Form.Control>
+                <label htmlFor="dateTo">Датум на заминување:</label>
+              </Form.Floating>
+            </Col>
+            <Col>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="number"
+                  placeholder="Број на гости:"
+                  id="floatingPassengers"
+                  name="numBeds"
+                  onChange={onFormChange}
+                  value={formData.numBeds}
+                ></Form.Control>
+                <label htmlFor="floatingPassengers">Број на гости:</label>
+              </Form.Floating>
+            </Col>
+            <Col>
+              <Form.Group className="my-1">
+                <Button
+                  type="submit"
+                  style={{ backgroundColor: "#159895" }}
+                  size="lg"
+                  className="w-100"
+                  onClick={(e) => {
+                    e.preventDefault();
+                    window.location.href = `/search/hotel/${formData.hotelLocation}/${formData.dateFrom}/${formData.dateTo}/${formData.numBeds}`
+                  }}
+                >
+                  <span className="ikona mx-3">Пребарај</span>
+                </Button>
+              </Form.Group>
+            </Col>
+          </Row>
+        </Form>
+      </Container>
+    </>
+  );
+};
+>>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
 
-export default SearchCriteriasBar;
+export default SearchCriterias;
Index: frontend/src/Components/Tab/TabFormTransport.js
===================================================================
--- frontend/src/Components/Tab/TabFormTransport.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Tab/TabFormTransport.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -2,15 +2,6 @@
 import { Button, Col, Container, Form, Row } from "react-bootstrap";
 import { HiMagnifyingGlass } from "react-icons/hi2"
-import useFormData from "../Hooks/useFormData";
 
 function TabFormTransport() {
-
-  const { formData, onFormChange, setFormData } = useFormData({
-    from: undefined,
-    to: undefined,
-    date: undefined,
-    numPassengers: 0
-  })
-
   return (
     <Form>
@@ -23,7 +14,4 @@
               placeholder="Од:"
               id="floatingFrom"
-              value={formData.from}
-              name={'from'}
-              onChange={onFormChange}
             ></Form.Control>
             <label htmlFor="floatingFrom">Од:</label>
@@ -37,7 +25,4 @@
               placeholder="До:"
               id="floatingTo"
-              name={'to'}
-              value={formData.to}
-              onChange={onFormChange}
             ></Form.Control>
             <label htmlFor="floatingTo">До:</label>
@@ -51,7 +36,4 @@
               placeholder="Датум:"
               id="floatingDate"
-              name={'date'}
-              value={formData.date}
-              onChange={onFormChange}
             ></Form.Control>
             <label htmlFor="floatingDate">Датум:</label>
@@ -64,16 +46,10 @@
               type="number"
               placeholder="Број на патници:"
-              name={'numPassengers'}
               id="floatingPassengers"
-              value={formData.numPassengers}
-              onChange={onFormChange}
             ></Form.Control>
             <label htmlFor="floatingPassengers">Број на патници:</label>
           </Form.Floating>
           <Form.Group className="my-1">
-            <Button type="submit" style={{backgroundColor: "#159895"}} size="lg" onClick={(e) => {
-              e.preventDefault();
-              window.location.href = `/search/transport/${formData.from}/${formData.to}/${formData.date}/${formData.numPassengers}`
-            }}>
+            <Button type="submit" style={{backgroundColor: "#159895"}} size="lg">
               <span className="ikona my-1"><HiMagnifyingGlass/></span>
               <span className="ikona mx-3">Пребарај</span>
Index: frontend/src/Components/TransportDetails/FinalPoint.js
===================================================================
--- frontend/src/Components/TransportDetails/FinalPoint.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/TransportDetails/FinalPoint.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -17,5 +17,5 @@
     <>
       <Row>
-        {props.left === "true" && <Col className="d-flex flex-column justify-content-center col-md-4" style={{paddingLeft: "2.6rem"}}>
+        {props.left === "true" && <Col className="d-flex flex-column justify-content-center col-auto" style={{paddingLeft: "2.6rem"}}>
             <h5 className="m-auto">{getTimeAsString(props.time)}</h5>
         </Col>  }
Index: frontend/src/Components/TransportDetails/Line.js
===================================================================
--- frontend/src/Components/TransportDetails/Line.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/TransportDetails/Line.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -2,5 +2,7 @@
 
 const Line = (props) => {
-    const left = props.left === "true" ? "1.8rem" : "1.85rem";
+    console.log(props.left)
+    const left = props.left === "true" ? "9.08rem" : "2.6rem";
+    console.log({borderLeft: "5px solid #159895", height: "3em", marginLeft: left, marginTop: "-1.4rem", marginBottom: "-1.4rem"})
     return (<>
         <div style={{borderLeft: "5px solid #159895", height: "3em", marginLeft: left, marginTop: "-1.4rem", marginBottom: "-1.4rem"}}></div>
Index: frontend/src/Components/TransportDetails/Waypoint.js
===================================================================
--- frontend/src/Components/TransportDetails/Waypoint.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/TransportDetails/Waypoint.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -16,4 +16,5 @@
     }
 
+<<<<<<< HEAD
     return (
         <>
@@ -57,4 +58,27 @@
         </>
     );
+=======
+  return (
+    <>
+      <Row className="d-flex flex-row gap-0">
+      {props.left === "true" && <Col className="d-flex flex-column justify-content-center col-auto" style={{paddingLeft: "2.6rem"}}>
+            <h5 style={{color: props.routes === "true" ? "white" : "" }} className="m-auto">{getTimeAsString(props.time)}</h5>
+        </Col>}
+        <Col md="auto">
+          <RxDot size={"4rem"} color="#159895"></RxDot>
+        </Col>
+        <Col className="d-flex flex-column justify-content-center">
+          <h3 className="my-auto" style={{...style, fontSize: props.routes === "true" ? "1.3rem" : "", color: props.routes === "true" ? "#708090	" : ""}}>{props.city}</h3>
+        </Col>
+      {props.left !== "true" && <Col className="d-flex flex-column justify-content-center">
+            <h5>{getTimeAsString(props.time)}</h5>
+        </Col>}
+      </Row>
+      <Row>
+      <Line left={props.left}> </Line>
+      </Row>
+    </>
+  );
+>>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
 };
 
Index: frontend/src/Components/TransportEdit/TransportEditTab.js
===================================================================
--- frontend/src/Components/TransportEdit/TransportEditTab.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/TransportEdit/TransportEditTab.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -12,5 +12,8 @@
 function TransportEditTab(props) {
   const [activeTab, setActiveTab] = useState("/hotel");
+  const link = "/transport/" + props.displayRoute.transportID + "/available";
   console.log(props.displayRoute)
+  const [changed, setChanged] = useState(0)
+  const { data, setData, isLoading, getData } = useGet(link, changed);
 
 
Index: frontend/src/Components/TransportEdit/TransportListing.js
===================================================================
--- frontend/src/Components/TransportEdit/TransportListing.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/TransportEdit/TransportListing.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -9,4 +9,6 @@
 
     //const type = props.type == "hotel" ? "сместувањето" : props.type == "restaurant" ? "ресторанот" : "превозот";
+    console.log(props.data)
+    console.log(props.data.from)
     return (<>
         <a href="#" style={{textDecoration: "none", color: "black"}}>
@@ -32,4 +34,5 @@
                     <Col className="d-flex flex-column justify-content-center" style={{textAlign: "left"}}>
                         <h2>{props.data.from} - {props.data.to}</h2>
+                        {/* <h6>{props.data.routeCities}</h6> */}
                         <h6>{props.data.routes.map(x => x).join(", ")}</h6>
                     </Col>
@@ -37,5 +40,6 @@
                     <Col className="d-flex flex-column justify-content-center align-content-center">
                         <h5>Цена:</h5>
-                         <h4>{props.data.maxPrice}$</h4>
+                        {/* <h4>{props.data.routePrice}</h4> */}
+                        <h4>99$</h4>
                     </Col>
                 </Row>
Index: frontend/src/Components/useFormNested.js
===================================================================
--- frontend/src/Components/useFormNested.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/useFormNested.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -7,5 +7,5 @@
         console.log(e)
 
-        const dependantRoutes = e.target.name === 'freeSpace' ? e.target.parentElement.getAttribute('dependantRoutes').split(',') : undefined;
+        const dependantRoutes = e.target.parentElement.getAttribute('dependantRoutes').split(',')
         console.log(dependantRoutes)
 
Index: frontend/src/Pages/HotelDetailsPage.js
===================================================================
--- frontend/src/Pages/HotelDetailsPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/HotelDetailsPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -1,5 +1,9 @@
 import React from "react";
 import LoginForm from "../Components/Login/LoginForm";
+<<<<<<< HEAD
 import {Container, Row, Col, Form, FloatingLabel, Modal, Button} from "react-bootstrap";
+=======
+import { Container, Row, Col, Form } from "react-bootstrap";
+>>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import Carousel from "react-bootstrap/Carousel";
@@ -69,7 +73,6 @@
                   placeholder="Каде ќе патувате?:"
                   id="location"
-                  value={data.hotelLocation}
                 ></Form.Control>
-                <label style={{left: "10px"}} htmlFor="location">Локација:</label>
+                <label htmlFor="location">Локација:</label>
               </Form.Floating>
             </Row>
@@ -81,7 +84,6 @@
                   placeholder="Датум на пристигнување:"
                   id="dateFrom"
-                  value={from}
                 ></Form.Control>
-                <label style={{left: "10px"}} htmlFor="dateFrom">Датум на пристигнување:</label>
+                <label htmlFor="dateFrom">Датум на пристигнување:</label>
               </Form.Floating>
             </Row>
@@ -93,7 +95,6 @@
                   placeholder="Датум на заминување:"
                   id="dateTo"
-                  value={to}
                 ></Form.Control>
-                <label style={{left: "10px"}} htmlFor="dateTo">Датум на заминување:</label>
+                <label htmlFor="dateTo">Датум на заминување:</label>
               </Form.Floating>
             </Row>
@@ -106,5 +107,5 @@
                   id="floatingPassengers"
                 ></Form.Control>
-                <label style={{left: "10px"}} htmlFor="floatingPassengers">Број на гости:</label>
+                <label htmlFor="floatingPassengers">Број на гости:</label>
               </Form.Floating>
             </Row>
Index: frontend/src/Pages/HotelEditPage.js
===================================================================
--- frontend/src/Pages/HotelEditPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/HotelEditPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -1,60 +1,59 @@
-import React, {useState} from "react";
-import {Container, Col, Row, Image} from "react-bootstrap";
+import React, { useState } from "react";
+import { Container, Col, Row, Image } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import ResourcesTab from "../Components/Resources/ResourcesTab";
 import HotelEditTab from "../Components/HotelEdit/HotelEditTab";
 import useGet from "../Components/Hooks/useGet";
-import {Navigate, useParams} from "react-router-dom";
-import {useAuth} from "../Components/Context/AuthContext";
+import { useParams } from "react-router-dom";
 
 
 const HotelEditPage = () => {
 
-    const params = useParams();
-    const link = "/hotel/list/" + params.hotelId;
-    const [changed, setChanged] = useState(0)
-    const {data, setData, isLoading, getData} = useGet(link, changed);
+  const params = useParams();
+  const link = "/hotel/list/" + params.hotelId;
+  const [changed, setChanged] = useState(0)
+  const { data, setData, isLoading, getData } = useGet(link, changed);
 
 
-    console.log(data)
-    return (
-        <>
-            <Navigation/>
-            {!isLoading && <Container>
-                <Row className="mb-5">
-                    <h2 style={{color: "#159895", textAlign: "left"}}>Мои ресурси</h2>
-                </Row>
-                <Row className="mb-5">
-                    <Col>
-                        <Row className="d-flex mb-3">
-                            <Col
-                                className="d-flex justify-content-center"
-                                style={{maxWidth: "30%"}}
-                            >
-                                <Image
-                                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
-                                    style={{
-                                        height: "5em",
-                                        borderRadius: "50%",
-                                        maxWidth: "100%",
-                                    }}
-                                    className="m-auto"
-                                ></Image>
-                            </Col>
-                            <Col className="d-flex justify-content-center">
-                                <Container className="pt-2" style={{textAlign: "left"}}>
-                                    <h4>{data.hotelName}</h4>
-                                    <h5>{data.hotelLocation}</h5>
-                                </Container>
-                            </Col>
-                        </Row>
-                    </Col>
-                </Row>
-                <Row>
-                    <HotelEditTab refresh={setChanged} displayRoom={data}/>
-                </Row>
-            </Container>}
-        </>
-    );
+  console.log(data)
+  return (
+    <>
+      <Navigation />
+      {!isLoading && <Container>
+        <Row className="mb-5">
+          <h2 style={{ color: "#159895", textAlign: "left" }}>Мои ресурси</h2>
+        </Row>
+        <Row className="mb-5">
+          <Col>
+            <Row className="d-flex mb-3">
+              <Col
+                className="d-flex justify-content-center"
+                style={{ maxWidth: "30%" }}
+              >
+                <Image
+                  src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                  style={{
+                    height: "5em",
+                    borderRadius: "50%",
+                    maxWidth: "100%",
+                  }}
+                  className="m-auto"
+                ></Image>
+              </Col>
+              <Col className="d-flex justify-content-center">
+                <Container className="pt-2" style={{ textAlign: "left" }}>
+                  <h4>{data.hotelName}</h4>
+                  <h5>{data.hotelLocation}</h5>
+                </Container>
+              </Col>
+            </Row>
+          </Col>
+        </Row>
+        <Row>
+            <HotelEditTab refresh={setChanged} displayRoom={data}/>
+        </Row>
+      </Container>}
+    </>
+  );
 };
 
Index: frontend/src/Pages/LoginErrorPage.js
===================================================================
--- frontend/src/Pages/LoginErrorPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/LoginErrorPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -11,4 +11,5 @@
     const [show, setShow] = useState(false);
     const [changed, setChanged] = useState(0);
+    const {data, isLoading} = useGet("/username")
     const userId = localStorage.getItem("userId")
     const [registered, setRegistered] = useState(false);
Index: frontend/src/Pages/LoginPage.js
===================================================================
--- frontend/src/Pages/LoginPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/LoginPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -3,7 +3,4 @@
 import { Container } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
-import {useAuth} from "../Components/Context/AuthContext";
-import {Navigate} from "react-router-dom";
-
 
 const LoginPage = () => {
@@ -11,12 +8,4 @@
   document.body.style.marginTop = "auto";
   document.body.style.marginBottom = "auto";
-
-  const Auth = useAuth();
-  const isLoggedIn = Auth.userIsAuthenticated();
-
-    if (isLoggedIn) {
-        return <Navigate to={'/home'}/>
-    }
-
   return (
     <>
Index: frontend/src/Pages/NoBusinessRegisteredError.js
===================================================================
--- frontend/src/Pages/NoBusinessRegisteredError.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/NoBusinessRegisteredError.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -6,12 +6,10 @@
 import RegisterBusinessForm from "../Components/Forms/RegisterBusinessForm";
 import useGet from "../Components/Hooks/useGet";
-import {Navigate, useNavigate} from "react-router-dom";
-import {useAuth} from "../Components/Context/AuthContext";
+import { useNavigate } from "react-router-dom";
 
 const NoBusinessRegisteredError = (props) => {
   const [show, setShow] = useState(false);
   const [changed, setChanged] = useState(0);
-  const Auth = useAuth();
-  const isLoggedIn = Auth.userIsAuthenticated();
+  const {data, isLoading} = useGet("/username")
   const userId = localStorage.getItem("userId")
   const [registered, setRegistered] = useState(false);
@@ -47,9 +45,7 @@
 
 
-  if(!isLoggedIn)
-  {
-    return <Navigate to={'/login'}/>
-  }
+  console.log(data)
 
+  !isLoading && !data && navigator("/login")
   !firmaIsLoading && firma && firma.length > 0 && firma[0].approved && navigator("/resources/hotel")
   
Index: frontend/src/Pages/ProfilePage.js
===================================================================
--- frontend/src/Pages/ProfilePage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/ProfilePage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -8,13 +8,10 @@
 import ChangePasswordForm from "../Components/Forms/ChangePasswordForm";
 import useGet from "../Components/Hooks/useGet";
-import {useAuth} from "../Components/Context/AuthContext";
-import {Navigate} from "react-router-dom";
 
 const ProfilePage = () => {
 
-    const { data, setData, isLoading, getData } = useGet("/principal");
+  const { data, setData, isLoading, getData } = useGet("/principal");
 
-
-
+  
     const profileData = {
         "name": "Марко",
@@ -22,5 +19,5 @@
         "address": "ул. Раскрсница бр. 10",
         "dateOfBirth": "2002-01-01",
-        "country": "Македонија",
+        "country": "Никогаш Северна само МАКЕДОНИЈА",
         "zip": "1000",
         "city": "Скопје",
@@ -30,9 +27,8 @@
 
 
-
   return (
     <>
       <Navigation />
-    {!isLoading && <Container>
+{      !isLoading && <Container>
         <Row className="mb-5">
           <h2 style={{ color: "#159895", textAlign: "left" }}>Мојот профил</h2>
Index: frontend/src/Pages/ResourcesPage.js
===================================================================
--- frontend/src/Pages/ResourcesPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/ResourcesPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -1,55 +1,54 @@
 import React from "react";
-import {Container, Col, Row, Image} from "react-bootstrap";
+import { Container, Col, Row, Image } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import ResourcesTab from "../Components/Resources/ResourcesTab";
-import {useState} from "react";
+import { useState } from "react";
 import useGet from "../Components/Hooks/useGet";
-import {useAuth} from "../Components/Context/AuthContext";
-import {Navigate} from "react-router-dom";
 
 const ResourcesPage = (props) => {
 
-    const Auth = useAuth();
-    const user = Auth.getUser();
+  console.log(props.tab)
+  const { data, setData, isLoading, getData } = useGet("/principal");
 
-    return (
-        <>
-            <Navigation/>
-            {<Container>
-                <Row className="mb-5">
-                    <h2 style={{color: "#159895", textAlign: "left"}}>Мои ресурси</h2>
-                </Row>
-                <Row className="mb-5">
-                    <Col>
-                        <Row className="d-flex mb-3">
-                            <Col
-                                className="d-flex justify-content-center"
-                                style={{maxWidth: "30%"}}
-                            >
-                                <Image
-                                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
-                                    style={{
-                                        height: "5em",
-                                        borderRadius: "50%",
-                                        maxWidth: "100%",
-                                    }}
-                                    className="m-auto"
-                                ></Image>
-                            </Col>
-                            <Col className="d-flex justify-content-center">
-                                <Container className="pt-2" style={{textAlign: "left"}}>
-                                    <h4>{user.name + " " + user.surname}</h4>
-                                    <h5>{user.username}</h5>
-                                </Container>
-                            </Col>
-                        </Row>
-                    </Col>
-                </Row>
-                <Row>
-                    <ResourcesTab tab={props.tab}></ResourcesTab>
-                </Row>
-            </Container>}
-        </>
-    );
+
+  return (
+    <>
+      <Navigation />
+{!isLoading && <Container>
+        <Row className="mb-5">
+          <h2 style={{ color: "#159895", textAlign: "left" }}>Мои ресурси</h2>
+        </Row>
+        <Row className="mb-5">
+          <Col>
+            <Row className="d-flex mb-3">
+              <Col
+                className="d-flex justify-content-center"
+                style={{ maxWidth: "30%" }}
+              >
+                <Image
+                  src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                  style={{
+                    height: "5em",
+                    borderRadius: "50%",
+                    maxWidth: "100%",
+                  }}
+                  className="m-auto"
+                ></Image>
+              </Col>
+              <Col className="d-flex justify-content-center">
+                <Container className="pt-2" style={{ textAlign: "left" }}>
+                  <h4>{data.name + " " + data.surname}</h4>
+                  <h5>{data.email}</h5>
+                </Container>
+              </Col>
+            </Row>
+          </Col>
+        </Row>
+        <Row>
+            <ResourcesTab tab={props.tab}></ResourcesTab>
+        </Row>
+      </Container>}
+    </>
+  );
 };
 
Index: frontend/src/Pages/RestaurantEditPage.js
===================================================================
--- frontend/src/Pages/RestaurantEditPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/RestaurantEditPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -6,6 +6,5 @@
 import RestaurantEditTab from "../Components/RestaurantEdit/RestaurantEditTab";
 import useGet from "../Components/Hooks/useGet";
-import {Navigate, useParams, useSearchParams} from "react-router-dom";
-import {useAuth} from "../Components/Context/AuthContext";
+import { useParams, useSearchParams } from "react-router-dom";
 
 const RestaurantEditPage = () => {
Index: frontend/src/Pages/SearchPage.js
===================================================================
--- frontend/src/Pages/SearchPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/SearchPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -11,5 +11,5 @@
 import BecomeAHost from "../Components/BecomeAHost/BecomeAHost"
 import HotelLisitng from "../Components/Listings/HotelListing"
-import SearchCriteriasHotel from "../Components/SearchCriterias/SearchCriteriasHotel";
+import SearchCriterias from "../Components/SearchCriterias/SearchCriteriasBar";
 import SortButton from "../Components/Listings/SortButton";
 import FilterButton from "../Components/Listings/FilterButton";
@@ -17,7 +17,10 @@
 import useGet from "../Components/Hooks/useGet";
 import { useParams } from "react-router-dom";
+<<<<<<< HEAD
 import SearchCriteriasBar from "../Components/SearchCriterias/SearchCriteriasBar";
 import RestaurantDetailsPage from "./RestaurantDetailsPage";
 import RestaurantListing from "../Components/Listings/RestaurantListing";
+=======
+>>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
 
 
@@ -39,5 +42,9 @@
     }
     
+<<<<<<< HEAD
     let link = props.type === "transport" ? `/transport/search?from=${params.from}&to=${params.to}&date=${params.date}&numPassengers=${params.numPassengers}` : props.type === "hotel" ? `/hotel/search?hotelLocation=${params.hotelLocation}&dateFrom=${params.dateFrom}&dateTo=${params.dateTo}&numBeds=${params.numBeds}` : `/restaurant/search?restaurantLocation=${params.restaurantLocation}&date=${params.date}&hourFrom=${params.hourFrom}&hourTo=${params.hourTo}&numPeople=${params.numPeople}`
+=======
+    let link = props.type === "transport" ? `/transport/search?from=${params.from}&to=${params.to}&date=${params.date}` : props.type === "hotel" ? `/hotel/search?hotelLocation=${params.hotelLocation}&dateFrom=${params.dateFrom}&dateTo=${params.dateTo}&numBeds=${params.numBeds}` : ""
+>>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
     console.log(link)
     console.log(params.date)
@@ -47,5 +54,5 @@
         <>
             <Navigation></Navigation>
-            <SearchCriteriasBar type={props.type} criterias={useParams()}></SearchCriteriasBar>
+            <SearchCriterias criterias={useParams()}></SearchCriterias>
             <Container className="d-flex justify-content-end gx-5" style={{maxWidth: "60%"}}>
                 <Row>
Index: frontend/src/Pages/TransportEditPage.js
===================================================================
--- frontend/src/Pages/TransportEditPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/TransportEditPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -1,4 +1,4 @@
-import React, {useState} from "react";
-import {Container, Col, Row, Image} from "react-bootstrap";
+import React, { useState } from "react";
+import { Container, Col, Row, Image } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import ResourcesTab from "../Components/Resources/ResourcesTab";
@@ -7,58 +7,56 @@
 import TransportEditTab from "../Components/TransportEdit/TransportEditTab";
 import useGet from "../Components/Hooks/useGet";
-import {Navigate, useParams} from "react-router-dom";
-import {useAuth} from "../Components/Context/AuthContext";
+import { useParams } from "react-router-dom";
 
 const TransportEditPage = () => {
+  const params = useParams();
+  console.log("transportot ima id " + params.transportId);
+  const link = "/transport/" + params.transportId;
+  const [changed, setChanged] = useState(0);
+  const { data, setData, isLoading, getData } = useGet(link, changed);
 
-    const params = useParams();
+  !isLoading && console.log(data)
 
-    const link = "/transport/" + params.transportId;
-
-    const {data, setData, isLoading, getData, setChanged} = useGet(link);
-
-    !isLoading && console.log(data)
-
-    return (
-        <>
-            <Navigation/>
-            {!isLoading && (
-                <Container>
-                    <Row className="mb-5">
-                        <h2 style={{color: "#159895", textAlign: "left"}}>Мои ресурси</h2>
-                    </Row>
-                    <Row className="mb-5">
-                        <Col>
-                            <Row className="d-flex mb-3">
-                                <Col
-                                    className="d-flex justify-content-center"
-                                    style={{maxWidth: "30%"}}
-                                >
-                                    <Image
-                                        src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
-                                        style={{
-                                            height: "5em",
-                                            borderRadius: "50%",
-                                            maxWidth: "100%",
-                                        }}
-                                        className="m-auto"
-                                    ></Image>
-                                </Col>
-                                <Col className="d-flex justify-content-center">
-                                    <Container className="pt-2" style={{textAlign: "left"}}>
-                                        <h4>{data.transportName}</h4>
-                                        <h5>{data.carBrand + " " + data.carType}</h5>
-                                    </Container>
-                                </Col>
-                            </Row>
-                        </Col>
-                    </Row>
-                    <Row>
-                        {data && <TransportEditTab displayRoute={data} refresh={setChanged}/>}
-                    </Row>
-                </Container>
-            )}
-        </>
-    );
+  return (
+    <>
+      <Navigation />
+      {!isLoading && (
+        <Container>
+          <Row className="mb-5">
+            <h2 style={{ color: "#159895", textAlign: "left" }}>Мои ресурси</h2>
+          </Row>
+          <Row className="mb-5">
+            <Col>
+              <Row className="d-flex mb-3">
+                <Col
+                  className="d-flex justify-content-center"
+                  style={{ maxWidth: "30%" }}
+                >
+                  <Image
+                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                    style={{
+                      height: "5em",
+                      borderRadius: "50%",
+                      maxWidth: "100%",
+                    }}
+                    className="m-auto"
+                  ></Image>
+                </Col>
+                <Col className="d-flex justify-content-center">
+                  <Container className="pt-2" style={{ textAlign: "left" }}>
+                    <h4>{data.transportName}</h4>
+                    <h5>{data.carBrand + " " + data.carType}</h5>
+                  </Container>
+                </Col>
+              </Row>
+            </Col>
+          </Row>
+          <Row>
+            {data && <TransportEditTab displayRoute={data} refresh={setChanged}/>}
+          </Row>
+        </Container>
+      )}
+    </>
+  );
 };
 
Index: frontend/src/axios.js
===================================================================
--- frontend/src/axios.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/axios.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -1,16 +1,21 @@
 import axios from "axios";
-
 
 const instance = axios.create({
     baseURL: "http://localhost:8080/",
     withCredentials: true,
-    maxRedirects: 1,
-    beforeRedirect: (options, { headers }) => {
-        console.log(options)
-        if (options.hostname === "example.com") {
-            options.auth = "user:password";
-        }}
-
+    maxRedirects: 1
 })
 
+instance.interceptors.response.use(function (response) {
+    // Any status code that lie within the range of 2xx cause this function to trigger
+    // Do something with response data
+    return response;
+  }, function (error) {
+    console.log(error)
+    //  window.location.href="/login"
+    // Any status codes that falls outside the range of 2xx cause this function to trigger
+    // Do something with response error
+    return Promise.reject(error);
+  });
+
 export default instance
